Method: projects.locations.runtimes.switch

החלפת סביבת ריצה של נוטבוק מנוהל.

בקשת HTTP

POST https://notebooks.googleapis.com/v1/{name}:switch

פרמטרים של נתיב

פרמטרים
name

string

חובה. פורמט: projects/{projectId}/locations/{location}/runtimes/{runtimeId}

כדי לתת הרשאה, צריך את הרשאת IAM הבאה במשאב שצוין name:

  • notebooks.runtimes.switch

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "machineType": string,
  "acceleratorConfig": {
    object (RuntimeAcceleratorConfig)
  },
  "requestId": string
}
שדות
machineType

string

סוג המכונה.

acceleratorConfig

object (RuntimeAcceleratorConfig)

accelerator config.

requestId

string

מזהה ייחודי אוניברסלי (UUID) של בקשה אידמפוטנטית.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

ניתן למצוא מידע נוסף כאן: Authentication Overview.